use crate::simple_responder;
use lazy_static::lazy_static;
use regex::Regex;
use serenity::async_trait;
use serenity::model::channel::Message;
use serenity::prelude::{Context, EventHandler};

// Yes, the blocks are necessary, rustc is bugged; check macro declaration
// for more info.
simple_responder!(FufufuResponder, r"(?:[fF][uU]){3,}", { get_desu() });

const DESU_STRINGS: &[&str] = &[
    "です。",
    "desu~",
    "desu.",
    r#"
```
ででででででででででで　　　　　　すす
　　　　　ででで　　　　　すすすすすすすすす
　　　　でで　　でで　　　　　　すす
　　　でで　　　でで　　　　　すすす
　　でで　　　　　　　　　　　す　す
　　でで　　　　　　　　　　　すすす
　　　でで　　　　　　　　　　　すす
　　　　でで　　　　　　　　　　すす
　　　　　でで　　　　　　　　すす
```"#,
];

fn get_desu() -> &'static str {
    use rand::seq::SliceRandom;
    use rand::thread_rng;

    DESU_STRINGS.choose(&mut thread_rng()).unwrap()
    // // https://imgur.com/a/yOb5n
    // messageList.add(channel -> channel.sendMessage(new MessageBuilder()
    //         .setContent("https://www.youtube.com/watch?v=60mLvBWOMb4").build()));
    // messageList.add(channel -> channel.sendFile(Desu.class.getResourceAsStream("/desu/desu.jpg"), "desu.jpg"));
    // messageList.add(channel -> channel.sendMessage("desu~"));
}
